
/******************************************************************************
* MODULE     : conv_ignore.cc
* DESCRIPTION: Ignore result when expecting Void
* COPYRIGHT  : (C) 2000  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include <evaluator.hh>
namespace mmx {

void
evaluator_rep::kw_conv_ignore_1 () {
  CHECK_SYNC (CONV_IGNORE);
  // INPUT: (conv_ignore_1, cont, ...)
  cur= car (rem);
  rem= cons (VAL_NONE, cdr (rem));
  // OUTPUT: (cont, member, ...)
  trace= cdr (trace);
}

} // namespace mmx
